Bug 77493 - lp_test_arit fails with llvm >= llvm-3.5svn r206094
Summary: lp_test_arit fails with llvm >= llvm-3.5svn r206094
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-15 18:12 UTC by Vinson Lee
Modified: 2014-06-19 14:59 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-04-15 18:12:21 UTC
$ ./build/linux-x86_64-debug/bin/lp_test_arit -v
neg(-inf): ref = inf, out = inf, precision = 24.000000 bits, PASS
neg(-60): ref = 60, out = 60, precision = 24.000000 bits, PASS
neg(-4): ref = 4, out = 4, precision = 24.000000 bits, PASS
neg(-2): ref = 2, out = 2, precision = 24.000000 bits, PASS
neg(-1): ref = 1, out = 1, precision = 24.000000 bits, PASS
neg(-1.00000001e-07): ref = 1.00000001e-07, out = 1.00000001e-07, precision = 24.000000 bits, PASS
neg(0): ref = -0, out = -0, precision = 24.000000 bits, PASS
neg(1.00000001e-07): ref = -1.00000001e-07, out = -1.00000001e-07, precision = 24.000000 bits, PASS
neg(0.00999999978): ref = -0.00999999978, out = -0.00999999978, precision = 24.000000 bits, PASS
neg(0.100000001): ref = -0.100000001, out = -0.100000001, precision = 24.000000 bits, PASS
neg(0.899999976): ref = -0.899999976, out = -0.899999976, precision = 24.000000 bits, PASS
neg(0.99000001): ref = -0.99000001, out = -0.99000001, precision = 24.000000 bits, PASS
neg(1): ref = -1, out = -1, precision = 24.000000 bits, PASS
neg(2): ref = -2, out = -2, precision = 24.000000 bits, PASS
neg(4): ref = -4, out = -4, precision = 24.000000 bits, PASS
neg(60): ref = -60, out = -60, precision = 24.000000 bits, PASS
neg(inf): ref = -inf, out = -inf, precision = 24.000000 bits, PASS
LLVM ERROR: Cannot select: intrinsic %llvm.x86.sse41.round.ps
Comment 1 Roland Scheidegger 2014-04-16 01:38:56 UTC
I'm actually not seeing this by default, apparently because we already pass in +avx if that's available precisely because llvm couldn't handle it on its own (so setting LP_NATIVE_VECTOR_WIDTH=128 causes it to show up as that disables avx). I think we can extend that rather easily.
Comment 2 Vinson Lee 2014-05-08 21:46:38 UTC
mesa: 74388dd24bc7fdb9e62ec18096163f5426e03fbf (master 10.3.0-devel)

lp_test_arit is still failing with llvm-3.5.0svn.
Comment 3 Roland Scheidegger 2014-06-19 14:59:06 UTC
Fixed by cad60420d5ea36a4b6fa2e6c91317f71423aa63e.


bug/show.html.tmpl processed on Mar 25, 2017 at 09:39:05.
(provided by the Example extension).